Lakehouse Turbo REST API

Learn how to interact with Lakehouse Turbo in an as-application deployment through the REST API.

Introduction

Exasol provides a REST API that enables you to use RESTful commands to configure and manage replication in Lakehouse Turbo. You can interact with the REST API with an API client such as Postman or Insomnia, or using a command line tool such as curl.

Authentication

To use the REST API, you must first generate a personal access token (PAT). Personal access tokens function like regular OAuth access tokens. When interacting with the REST API on the command line or with an API client, you must add the token in the request header.

  1. To create a token, run the following command in a terminal.

    Replace <admin_ui_ip> and <admin_ui_password> with the IP address and password that you configured for Exasol Admin.

    Copy
    curl -k -X POST "https://<admin_ui_ip>:8443/api/v1/token" /
    -H "Content-Type: application/x-www-form-urlencoded" /
    -d "grant_type=password&username=admin&password=<admin_ui_password>"
  2. Get the deployment ID.

    Replace token with the token you generated in the previous step.

    Copy
    curl -k https://<admin_ui_ip>:8443/api/v1/deployments -H "Authorization: Bearer <token>"
  3. Get the database ID.

    Replace <deployment_id> with the deployment ID you retrieved in the previous step.

    Copy
    curl -k https://<admin_ui_ip>:8443/api/v1/deployments/<deployment_id>/databases -H "Authorization: Bearer <token>"

Endpoints

For information about all available REST API endpoints, see the OpenAPI specification.

Examples

To get the state of the Lakehouse Turbo application using curl on the command line:

Copy
curl -k GET "https://ADMIN_UI_IP:8443/api/v1/dlhc/databases/DATABASE_ID/engine" -H "accept: application/json" -H "Authorization: Bearer <my_personal_access_token>"
{
    "state": "STARTED"
}